// motorthread.h: Schnittstelle für die Klasse MotorThread.
//
//////////////////////////////////////////////////////////////////////

#ifndef MOTORTHREAD_H
#define MOTORTHREAD_H


#include <qthread.h>

class AMCMirrorPanel;

class MotorThread : public QThread  
{

public:
	void setPanel( AMCMirrorPanel* p_pPanel );
	AMCMirrorPanel* getPanel() { return m_pPanel; };
	MotorThread( QObject* p_pReceiver );
	virtual ~MotorThread();

protected:
	virtual void run();
private:
	AMCMirrorPanel* m_pPanel;
	QObject*				m_pReceiver;
};

#endif
